@extends('layouts.print')

@section('content')
    <style>
        html,
        body {
            height: max-content
        }
    </style>
    <div id="printableScreen" style="padding: 15px;">
        <div class="d-flex align-items-start justify-content-center" style="margin-top:15px;margin-bottom: 30px;">
            <div class="">
                <div class="border-bottom pb-2 mb-2 text-center">
                    <h6 class="font-weight-bold text-uppercase">{{ $patient->displayName() }}</h6>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span style="color: #6c757d;">DOB</span>:  {{ $patient->dob ? friendly_date($patient->dob) : '---' }}</div>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span style="color: #6c757d;">NP</span>:  {{ $careMonth->mcp ? $careMonth->mcp->displayName() : '---' }}</div>
                    <div>
                        <span class="text-dark font-weight-bold">Care Month</span>&nbsp;for&nbsp;<span
                            class="text-dark font-weight-bold">{{ friendly_month($careMonth->start_date) }}</span>
                    </div>
                </div>
                <div>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span style="color: #6c757d;">Company</span>:  
                        {{$careMonth->companyPro && $careMonth->companyPro->company ? $careMonth->companyPro->company->name : '-'}}
                    </div>
                    <div style="margin-bottom: 5px;font-weight:bold;"><span style="color: #6c757d;">Location</span>:  
                        {{$careMonth->companyLocation ? $careMonth->companyLocation->line1 . ', ' . $careMonth->companyLocation->city : '-'}}
                    </div>                    
                </div>
            </div>
            
        </div>

        @if($type === 'detailed')
            <div style="margin-bottom: 30px;">
                @include('app.patient.care-month.partials.print.rm-reasons')
            </div>
        @endif

        <div>
            <?php
                $measurementType = null;
                if($type === 'measurements-bp'){
                    $measurementType = 'BP';
                }
                if($type === 'measurements-wt'){
                   $measurementType = 'Wt'; 
                }
            ?>
            @include('app.patient.care-month.partials.print.measurements', ['measurementType' => $measurementType])
        </div>
    </div>
    <script>
        function printDiv(divName) {
            var printContents = document.getElementById(divName).innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        }
        document.addEventListener("DOMContentLoaded", function(event) {
            //printDiv('printableScreen');
        });
    </script>
@endsection
